#!/bin/sh

set -eu

# run sudo to cache creds
sudo /bin/true

# update modules and check depencies
git pull
git submodule update --init --recursive
if ! rpm -q ansible > /dev/null; then
    sudo dnf -y install ansible
fi

# run playbook
ansible-playbook deploy.yml
